using FluentValidation;

namespace Indotalent.Features.Sales.SalesReturn.Cqrs;

public class CreateSalesReturnValidator : AbstractValidator<CreateSalesReturnRequest>
{
    public CreateSalesReturnValidator()
    {
        RuleFor(x => x.ReturnDate).NotEmpty().WithMessage("Return Date is required");
        RuleFor(x => x.DeliveryOrderId).NotEmpty().WithMessage("Delivery Order reference is required");
    }
}